<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html xmlns = "http://www.w3.org/1999/xhtml">

<head>
<title><% getProcessorModel(); %> System Processor</title>
<meta http-equiv = "Content-Type" content = "text/html; charset=utf-8">
<link rel = "stylesheet" href = "css/style.css" />
<script type = "text/javascript" src = "scripts/query.js"></script>
<script type = "text/javascript" src = "scripts/json_parser.js"></script>
<script type = "text/javascript" src = "scripts/printf.js"></script>
<script type = "text/javascript" src = "scripts/clock.js"></script>
<script type = "text/javascript" src = "scripts/index.js"></script>
<link rel = "shortcut icon" href = "images/favicon.ico" type = "image/x-icon" />
<link rel = "icon" href = "images/favicon.ico" type = "image/ico" />
</head>

<body>

<img id = "logo" src = "images/logo.png">

<h1>Hardware</h1>

<table class = "data_in_cols">
<col>
<tr><th>Serial Number</th><td><% getSerial(); %></td></tr>
<tr><th>IP Address</th><td><% getIPAddress(); %></td></tr>
<tr><th>Memory Usage</th><td><% getMemoryUsage(); %></td></tr>
</table>

<h1>Temperature</h1>

<table class = "data_in_cols">
<col>
<% getTemperatureRows(); %>
</table>

<h1>Clock</h1>

<table class = "data_in_cols">
<col>
<tr><th>Current Time</th><td><span id = "clock"></span></td></tr>
<tr><th>Uptime</th><td><span id = "uptime"></span></td></tr>
</table>

<h1>Software</h1>

<table class = "data_in_cols">
<col>
<tr><th>Software Version</td><td><% getSoftwareVersion(); %></td></tr>
</table>

<h1>Panels</h1>

<table id = "panel_table">
<tr><th>Number</th><th>Type</th><th>Position</th><th>Serial</th><th>Temperature</th><th>Errors</th></tr>
<% getPanelTableRows(); %>
</table>

<img id = "go_ahead_mark" src = "images/go_ahead_mark.gif">

</body>

</html>
